
<div class="limiter">
    <div class="container-login100">
        <div class="wrap-login100">
            <!-- <div class="login100-pic js-tilt" data-tilt>
                <img src="../assets/images/Imarain_logo.png" alt="IMG">
            </div> -->
            <form class="login100-form validate-form" #registerForm="ngForm" (ngSubmit)="onSubmit(registerForm)">
                <span class="login100-form-title">
                    Regístrate
                </span>

                <div class="wrap-input100 validate-input">
                    <input class="input100" type="text" name="nombre" #name="ngModel" [(ngModel)] = "user.name" required pattern="^[a-zA-ZÀ-ÿ\u00f1\u00d1]+(\s*[a-zA-ZÀ-ÿ\u00f1\u00d1]*)*[a-zA-ZÀ-ÿ\u00f1\u00d1]+$"
                    placeholder="Nombre">
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-edit" aria-hidden="true"></i>
                    </span>
                    <div *ngIf="name.invalid && (name.dirty || name.touched)" class="invalid-feedback d-block"> 
                        <small *ngIf="name.errors.required" class="invalid-feedback d-block">
                          Ingresa tu nombre
                        </small>
                        <small *ngIf="name.errors.pattern"  class="invalid-feedback d-block">
                            El nombre no puede contener caracteres especiales, solo letras de la A a la Z.
                        </small>
                    </div>

                </div>
                <div class="wrap-input100 validate-input">
                    <input class="input100" type="text" name="surname"  #surname="ngModel" [(ngModel)]="user.surname" required pattern="^[a-zA-ZÀ-ÿ\u00f1\u00d1]+(\s*[a-zA-ZÀ-ÿ\u00f1\u00d1]*)*[a-zA-ZÀ-ÿ\u00f1\u00d1]+$"
                    placeholder="Apellidos">
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-edit" aria-hidden="true"></i>
                    </span>

                    <div *ngIf="surname.invalid && (surname.dirty || surname.touched)"> 
                        <small *ngIf="surname.errors.required" class="invalid-feedback d-block">
                          Ingresa tu nombre
                        </small>
                    </div>
                </div>
                <div class="wrap-input100 validate-input">
                    <input class="input100" type="email" name="email" #email="ngModel" [(ngModel)]="user.email" required pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
                    placeholder="Correo">
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-envelope" aria-hidden="true"></i>
                    </span>

                    <div *ngIf="email.invalid && (email.dirty || email.touched)" class="invalid-feedback d-block"> 
                        Ingresa un email válido
                        <small *ngIf="email.errors.required" class="invalid-feedback d-block">
                          El email es requerido
                        </small>
                    </div>
                </div>
                <div class="wrap-input100 validate-input" data-validate = "Password is required">
                    <input class="input100" type="password" name="password"
                    #password="ngModel" [(ngModel)]="user.password" required  minlength="6" placeholder="Contraseña" />
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-lock" aria-hidden="true"></i>
                    </span>
                    <div *ngIf="password.invalid && (password.dirty || password.touched)"> 
                        <small *ngIf="password.errors.minlength" class="invalid-feedback d-block">
                            Ingresa una Contraseña minimo de 6 caracteres
                        </small>
                        <small *ngIf="password.errors.required" class="invalid-feedback d-block">
                           La contraseña es requerida
                        </small>
                    </div>
                    <small *ngIf="errorMsg !== '' " class="invalid-feedback d-block">
                        {{ errorMsg }}
                    </small>

                </div>
                
                <div class="container-login100-form-btn">
                    <input type="submit" class="login100-form-btn" [disabled]="registerForm.invalid" value="Registrarme">
                    <div class="alert alert-primary mt-2" style="font-size: 12px;" *ngIf="status == 'success'">
                        El registro se ha completado correctamente, <a [routerLink]="['/']">Inicia sesión aquí</a>
                    </div>
                </div>
                <div class="text-center p-t-12">
                    <a class="txt2" [routerLink] = "['/login']">
                        <i class="fa fa-long-arrow-left m-l-5" aria-hidden="true"></i>
                       Regresar al login
                    </a>
                </div>

                <!-- <div class="text-center p-t-12">
                    <span class="txt1">
                        Forgot
                    </span>
                    <a class="txt2" href="#">
                        Username / Password?
                    </a>
                </div> -->

                <!-- <div class="text-center p-t-12">
                    <a class="txt2" href="#">
                        Crea tu cuenta
                        <i class="fa fa-long-arrow-right m-l-5" aria-hidden="true"></i>
                    </a>
                </div> -->
            </form>
        </div>
    </div>
</div>
<p-dialog header="REGISTRO EXITOSO:" modal="true" [(visible)]="showModal" [style]="{width: '50vw'}">
    <p>Se ha <strong>enviado un correo electrónico</strong>  a la dirección con la que te registraste. Por favor revisa tu <strong>bandeja de entrada o tu correo no deseado/spam</strong> para poder verificar tu cuenta. Puede que el correo tarde unos minutos en llegar, ten paciencia.</p>
</p-dialog>
<ngx-spinner></ngx-spinner>



